Package com.usatiuk.dhfs.repository

# Class MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase

java.lang.Object
com.usatiuk.dhfs.repository.MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase

All Implemented Interfaces:
  `io.grpc.BindableService`

Direct Known Subclasses:
  `DhfsObjectSyncGrpcBean`

Enclosing class:
  `MutinyDhfsObjectSyncGrpcGrpc`

public abstract static class MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase extends Object implements io.grpc.BindableService

## Constructor Summary

Constructors
Constructor
Description
`DhfsObjectSyncGrpcImplBase()`

## Method Summary

Modifier and Type
Method
Description
`io.grpc.ServerServiceDefinition`
`bindService()`
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`
`MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`
`withCompression(String compression)`
Set whether the server will try to use a compressed response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DhfsObjectSyncGrpcImplBase

public DhfsObjectSyncGrpcImplBase()

## Method Details

### withCompression

public MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase withCompression(String compression)
Set whether the server will try to use a compressed response.

Parameters:
  `compression` - the compression, e.g `gzip`

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)

### bindService

public io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`